Skip to main content
GET
/
report_notifications
/
{report_notification_token}
Get report notification by token
curl --request GET \
  --url https://api.vantage.sh/v2/report_notifications/{report_notification_token} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.vantage.sh/v2/report_notifications/{report_notification_token}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.vantage.sh/v2/report_notifications/{report_notification_token}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "token": "rprt_ntfctn_21b4287a212406b1",
  "title": "Test Notification",
  "cost_report_token": "rprt_d084c84455edc606",
  "user_tokens": [
    "usr_56d53f802edba3e6"
  ],
  "frequency": "weekly",
  "change": "percentage"
}
{
"errors": [
"<string>"
],
"links": {
"self": "<string>",
"first": "<string>",
"next": "<string>",
"last": "<string>",
"prev": "<string>"
}
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

report_notification_token
string
required

Response

ReportNotification model

token
string
required
title
string
required

The title of the ReportNotification.

Example:

"Acme Report Notification"

cost_report_token
string
required

The token for a CostReport the ReportNotification is applied to.

Example:

"rprt_abcd1234"

user_tokens
string[]
required

The Users that receive the notification.

recipient_channels
string[]
required

The Slack or Microsoft Teams channels that receive the notification.

frequency
enum<string>
required

The frequency the ReportNotification is sent.

Available options:
daily,
weekly,
monthly
Example:

"weekly"

change
enum<string>
required

The type of change the ReportNotification is tracking.

Available options:
percentage,
dollars
Example:

"percentage"